import request from "@/utils/request";

// 获取阶段-学科信息
export const getStageListWithSubject = (params) =>
  request({
    url: "/sc/stage/getStageListWithSubject",
    params,
  });

// 获取省份
export const getProvinceList = (params) =>
  request({
    url: "/sc/province/list",
    params,
  });

// 文件上传
export const fileUpload = (data) =>
  request({
    url: "/system/oss/upload",
    method: "post",
    headers: {
      "content-type": "multipart/form-data",
    },
    data,
    timeout: 1000 * 60 * 5,
  });

// 获取教师个性化记录
export const getStaffChapterJson = (params) =>
  request({
    url: "/sc/staff/getChapterJson",
    params,
  });

// 更新教师个性化记录
export const updateStaffChapterJson = (data) =>
  request({
    url: "/sc/staff/updateChapterJson",
    method: "post",
    data,
  });
